[PATCH] Change autogen.sh scripts to respect NOCONFIGURE

Colin Walters walters at verbum.org
Thu Jun 14 08:17:06 PDT 2012


On Sat, 2012-06-09 at 17:26 -0400, Gaetan Nadon wrote:

> I'd rather have a script change only and drop the "install through
> util-macros" part. This will reduce the overall complexity and reduce
> the number of places to investigate when things go wrong. Changes to
> the script are likely to be several years apart. 

Makes sense.

> A note about http://cgit.freedesktop.org/xorg/test/xorg-gtest/. This
> module has a different script (the only one so far) which never
> runs ./configure. Chase Douglas is actively maintaining this module.
> The new script you are proposing might just well be what he was
> waiting for.

Yes, that autogen.sh is fine.  The build API doesn't care whether or not
autogen.sh runs configure by default or not, merely that there is a
standard way to ensure it doesn't.

> Overall there are about 240 modules that are being published at
> different intervals. The list can be obtained by running
> modular/build.sh -L.
> 
> If you post the revised patch, I'll be happy to review it. 

Looks like this is the diff of the autogen.sh from xorg-test as applied
to xorg-xserver:

diff --git a/autogen.sh b/autogen.sh
index 4e8b11b..a08311b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,7 +6,6 @@ test -z "$srcdir" && srcdir=.
 ORIGDIR=`pwd`
 cd $srcdir
 
-autoreconf --force -v --install || exit 1
+autoreconf -v --install || exit 1
 cd $ORIGDIR || exit $?
 
-$srcdir/configure --enable-maintainer-mode "$@"

So if we're going with the "use xorg-gtest autogen.sh" approach, the
main question is: Use --force or not?  It doesn't matter to me because
my build system builds ONLY from git, and X.org modules don't include
pregenerated configure scripts in git (because you're sane). 

However, someone may want to rerun auto* from a Linux distribution
"package" where they build from tarballs (because they're stuck in the
1990s), and it would help them if --force was used.




More information about the xorg-devel mailing list